Opened 10 years ago

Closed 10 years ago

#4375 closed defect (fixed)

Goblins 1, 2, 3 Hungarian versions

Reported by: goodoldgeorge Owned by: DrMcCoy
Priority: normal Component: Engine: Gob
Keywords: detection Cc:
Game: Gobliiins

Description

Gobliiins 1, 2, 3 Hungarian versions

Released as Gobliiins 4 - Hungarian Diamond version Bonus Pack
Year: 2009
Publisher: CD Projekt

http://www.cdprojekt.hu/gra.asp?gid=229

ScummVM 0.14.0svn (Jun 9 2009 06:53:17)
Features compiled in: Vorbis zLib

Gobliiins 1 CD version ScummVM Report:
The game in 'G:\ScummVM\' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"intro.stk", "40d4a53818f4fce3f5997d02c3fafe73", 4049248
Version: 1.02 - Language : Hungarian

Gobliins 2 CD version ScummVM Report:
The game in 'G:\ScummVM\' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236
Version: 1.01 - Language : Hungarian

Goblins Quest 3 CD version ScummVM Report:
The game in 'G:\ScummVM\' seems to be unknown.
Please, report the following data to the ScummVM team along with name
of the game you tried to add and its version/language/etc.:
"intro.stk", "bfd7d4c6fedeb2cfcc8baa4d5ddb1f74", 616220
Version: 1.02 - Language : Hungarian

Ticket imported from: #2810082. Ticket imported from: bugs/4375.

Attachments (2)

cd.gif (402.6 KB ) - added by goodoldgeorge 10 years ago.
CD Pic
Program Files-Gobliiins 4-Bonus Folder.lst (3.2 KB ) - added by goodoldgeorge 10 years ago.
Gob 4 Bonus Folder filelist

Download all attachments as: .zip

Change History (16)

by goodoldgeorge, 10 years ago

Attachment: cd.gif added

CD Pic

comment:1 by sev-, 10 years ago

Owner: set to DrMcCoy

comment:2 by sev-, 10 years ago

Out of curiousity, can you scan or make photo of the box back? Particularly I am interested in the copyright section.

And another question. Are these versions have Hungarian subtitles and texts?

comment:3 by DrMcCoy, 10 years ago

I'd also like to know how they added Hungarian text (if they did).
Could you open the Gobliins2 intro.stk in a texteditor (notepad, not word) or hexeditor and give me all occurences of the string GOB00 followed by a file extension? I.e. you should find there GOB00.TOT, GOB00.CAT, GOB00.EXT and I'm interested in which else.

comment:4 by goodoldgeorge, 10 years ago

Gobliiins 4 Hungarian Diamond version DVD Cover ( Goblins 1-3 Bonus )
http://www.speedyshare.com/829908291.html

comment:5 by goodoldgeorge, 10 years ago

Files
Goblins 1
File name Size
----------- ---------------
g1.ico 26,582
GO.BAT 4
GOB.LIC 949
GOB.EXE 82,990
GOB1.BAT 4
INSTALL.EXE 5,723
INSTALL.INF 710
INSTALL.ASK 15,885
INTRO.STK 4,049,248
L360.GDR 3,524
LVGA.GDR 4,844
MDO.DEF 167
SETUP.PUB 2,996
SETUP.EXE 70,543
Track1.mp3 47,410,991
VERSION 5

Goblins 2
File name Size
----------- ---------------
DOINSCD.INF 8,275
g2.ico 26,582
GO.BAT 4
GOB2.EXE 106,239
GOB2.LIC 4,338
GOBNEW.LIC 4,338
INSTALL.EXE 5,723
INSTALL.INF 632
INSTALL.ASK 15,885
INTRO.STK 5,006,236
L360.GDR 3,524
LEGA.GDR 14,299
LVGA.GDR 4,844
MDO.DEF 172
SETUP.PUB 2,658
SETUP.EXE 70,623
Track1.mp3 51,240,960
VERSION 4

Goblins Quest 3
File name Size
------------ ---------------
COKTEL.IMD 835,339
COKTEL.IMS 4,003
COKTEL.CLT 768
COKTEL2.IMD 531,604
DEGOB3.ITK 87,863,546
EXT.STK 7,224,322
FRGOB3.ITK 82,759,160
g3.ico 26,582
GOB3.EXE 226,496
IMD.ITK 9,089,298
INSTALL.ASK 16,435
INSTALL.COM 5,691
INSTALL.INF 892
INTRO.STK 616,220
MDO.DEF 192
MDOS.IMD 1,280,318
MUS_GOB3.LIC 1,324
README.TXT 136
README.BAT 17
SETUP.EXE 74,339
TOT.STK 476,822
Track1.mp3 43,054,393
USGOB3.ITK 95,578,408
VERSION 20
ZZZZZZZZ.ZZZ 3,707,766

comment:6 by goodoldgeorge, 10 years ago

All Goblins game is hungarian subtitled version.

comment:7 by DrMcCoy, 10 years ago

Could you please
1) open the INTRO.TOT (an archive file) for Goblins 2 in a text editor and look for all occurences of "GOB00." and give me the 3 character after that each? I.e. if you find "GOB00.CAT" and "GOB00.EXT", you'd write "CAT" and "EXT".
2) give me the line in Gob1's and Gob2's GO.BAT, so I can see how LOADER.EXE is called (with which language string)
3) give me the line starting with "LANG:" in Gob3's MDO.DEF

by goodoldgeorge, 10 years ago

Gob 4 Bonus Folder filelist

comment:8 by goodoldgeorge, 10 years ago

My Installed Goblins 4 Bonus folder lst file is attached (Created by Total Commander's CatalogMaker plugin (simple TXT file))
Bonus folder ScummVM version :
ScummVM 0.13.0 (Feb 22 2009 18:46:25)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

Bonus Folder files :
http://www.speedyshare.com/723956305.html

All missing file is same as the Goblins 3 English (US) version.

comment:9 by DrMcCoy, 10 years ago

1) Take that speedyshare thing down at once! You don't have distribution rights for these files!

2) I don't think you understood me correctly. I'm not asking about the real physical files, but the list of files /within/ INTRO.STK (which is an archive file, like .zip or .rar). Simply open the file in a texteditor and literally search for the string "GOB00."

comment:10 by goodoldgeorge, 10 years ago

Your previously comment
>Comment By: Sven Hesse (drmccoy)
Date: 2009-06-22 21:02 Message:

Could you please
1) open the INTRO.TOT (an archive file) for Goblins 2.....
This file is not exists :(
INTRO.STK GOB00 occurences (All found): TOT, USA, CAT, DAT, ALL, ESP, ITA, ANG, EXT

2) give me the line in Gob1's and Gob2's GO.BAT, so I can see howLOADER.EXE is called (with which language string)
GOB1 go.bat - gob
GOB2 go.bat - gob2

3) give me the line starting with "LANG:" in Gob3's MDO.DEF
LANG:LG_FR+LG_GB+LG_DE+LG_SP

comment:11 by DrMcCoy, 10 years ago

Ah, I did mean INTRO.STK. My bad.
Unfortunately, neither the calling nor the language strings say much about what language is Hungarian.

So, please take the ScummVM build here http://drmccoy.de/zeugs/scummvm.exe (+ the SDL.dll from one of the daily builds or releases) add the games. ScummVM will give you a language selector for each of them. Try each language on every game and then tell me which one is Hungarian instead of the language it claims to be.

comment:12 by goodoldgeorge, 10 years ago

Gobliiins 1 CD
---------------
Selected Language En(US) or En(GB)
Real Subtitle language is Hungarian.
Selected French - Real French
Selected German - Real is mixed German and Hungarian :(
Selected Italian - Real Italian
Selected Spanish - Real Spanish

Gobliins 2 CD
-------------
Selected En(GB) - Real Hungarian
Selected En(US) - Real is Mixed English and Hungarian :(
Selected French, German, Italian, Spainsh is
Real French, German, Italian, Spainsh

Goblins Quest 3 CD
-------------------
Selected En(US) - Real Hungarian
Selected French, German, Spainsh is
Real French, German, Spainsh

comment:13 by DrMcCoy, 10 years ago

Resolution: fixed
Status: newclosed

comment:14 by DrMcCoy, 10 years ago

Okay, thanks. :)
Properly added Hungarian now, should be noted correctly that way in the next daily build.

Note: See TracTickets for help on using tickets.